import { Observable, Subject } from 'rxjs';
import { DrawerLayoutVariantType } from '../..';
import * as i0 from "@angular/core";
/** This service is used to manage the state of a Drawer component, responds to user behavior and input settings. */
export declare class DrawerService {
    private drawerOpen;
    private disableActiveItemParentStyles;
    private variant;
    private navItemCount;
    private tempOpen;
    private isCondensed;
    private sideBorder;
    private disableRailTooltip;
    private openOnHover;
    drawerOpenObs: Subject<boolean>;
    drawerSelectObs: Subject<boolean>;
    drawerActiveItemChangeObs: Subject<void>;
    drawerNewNavItemInit: Subject<void>;
    hasSideBorder(): boolean;
    setSideBorder(sideBorder: boolean): void;
    isOpenOnHover(): boolean;
    setOpenOnHover(openOnHover: boolean): void;
    setDisableActiveItemParentStyles(disableActiveItemParentStyles: boolean): void;
    hasDisableActiveItemParentStyles(): boolean;
    setDrawerTempOpen(open: boolean): void;
    setIsCondensed(condensed: boolean): void;
    setDrawerOpen(drawerOpen: boolean): void;
    setDisableRailTooltip(disableRailTooltip: boolean): void;
    isDisableRailTooltip(): boolean;
    setDrawerVariant(variant: DrawerLayoutVariantType): void;
    getDrawerVariant(): DrawerLayoutVariantType;
    isDrawerOpen(): boolean;
    isTempOpen(): boolean;
    isRailCondensed(): boolean;
    drawerOpenChanges(): Observable<boolean>;
    select(hasChildren: boolean): void;
    drawerSelectionChanges(): Observable<boolean>;
    emitChangeActiveItemEvent(): void;
    drawerActiveItemChanges(): Observable<void>;
    drawerNewNavItemCreated(): Observable<void>;
    emitNewNavItemCreated(): void;
    /** Each nav item has a unique id which is used to determine which item is selected. */
    createNavItemID(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DrawerService>;
}
